Syntax
Keywords: uk.ac.ic.doc.automed.reps.Syntax class

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## uk.ac.ic.doc.automed.reps
Class Syntax

    java.lang.Object
      uk.ac.ic.doc.automed.reps.Syntax

    public class Syntax

extends java.lang.Object

Nested Class Summary
`static class` | `Syntax.Token`
`static class` | `Syntax.Tokenizer`

Constructor Summary
`Syntax()`

Method Summary
`static java.lang.String` | `escapeString(java.lang.String text)` Take a string, and escape its characters such the \ character will print correctly.
`static boolean` | `getSmartQuoting()`
`static boolean` | `identifierSafe(java.lang.String s)`
`static java.lang.String` | `makeIdentifierSafe(java.lang.String s)`
`static java.lang.String` | `makeStringSafe(java.lang.String s)`
`static java.lang.String` | `protectIdentifier(java.lang.String s)`
`static java.lang.String` | `protectString(java.lang.String s)`
`static void` | `setSmartQuoting(boolean b)`
`static boolean` | `stringSafe(java.lang.String s)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Syntax

    public Syntax()

Method Detail

### escapeString

    public static java.lang.String escapeString(java.lang.String text)

  Take a string, and escape its characters such the \ character will print correctly. Used by methods that print repository contents on the screen or to a file.

### getSmartQuoting

    public static boolean getSmartQuoting()

### setSmartQuoting

    public static void setSmartQuoting(boolean b)

### protectString

    public static java.lang.String protectString(java.lang.String s)

### protectIdentifier

    public static java.lang.String protectIdentifier(java.lang.String s)

### stringSafe

    public static boolean stringSafe(java.lang.String s)

### identifierSafe

    public static boolean identifierSafe(java.lang.String s)

### makeStringSafe

    public static java.lang.String makeStringSafe(java.lang.String s)

### makeIdentifierSafe

    public static java.lang.String makeIdentifierSafe(java.lang.String s)

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD